import unittest
from NutzerverwaltungMitVisualisierung import User, BinBaum

class BinBaumTest(unittest.TestCase):
    def setUp(self):
        """
        Setzt das Testgeruest fuer den Test.
        Wird vor jeder Testfall-Methode aufgerufen.
        """
        self.user1 = User(5781, "Geber", "Ann", 17)
        self.user2 = User(4221, "Tross", "Albert", 30)
        self.user3 = User(6345, "Fall", "Klara", 50)
        self.user4 = User(5799, "Ter", "Lee", 14)
        self.user5 = User(6300, "Sehr", "Kai", 74)
        self.user6 = User(5888, "Pfahl", "Marta", 61)
        self.binBaum1 = BinBaum()
        self.binBaum1.Einfuegen(self.user1)
        self.binBaum1.Einfuegen(self.user2)
        self.binBaum1.Einfuegen(self.user3)
        self.binBaum1.Einfuegen(self.user4)
        

    def test_suchen(self):
        """
        Testet, ob die Suche nach einem User korrekt funktioniert.
        """
        self.assertIsNone(self.binBaum1.Suchen(1234))  # Nicht vorhandene ID
        self.assertEqual(self.user3, self.binBaum1.Suchen(6345))  # Vorhandene ID
        self.assertNotEqual(self.user4, self.binBaum1.Suchen(6300))  # Falsche ID   

unittest.main()
